import { OpId, OpStatus, OperationAction } from './typedefs';
export default class Op<TStatus = OpStatus, TData = any> {
    private id;
    constructor(opId: OpId);
    create: (status: TStatus, data?: TData | undefined) => OperationAction<OpStatus | TStatus, TData>;
    update: (status: TStatus, data?: TData | undefined) => OperationAction<OpStatus | TStatus, TData>;
    delete: () => import("./typedefs").DeleteOperationAction;
    getId(): OpId;
}
