import { OpsState, Ops, Operation, OpId } from './typedefs';
export declare function setReducerName(name: string): void;
export declare function getOpsState<T, TStatus, TData>(state: T): OpsState<TStatus, TData>;
export declare function getOps<T, TStatus, TData>(state: T): Ops<TStatus, TData>;
export declare function getOpById<T, TStatus, TData>(state: T, id: OpId): Operation<TStatus, TData> | undefined;
export declare function getOpByIds<T, TStatus, TData>(state: T, ids: OpId[]): Ops<TStatus, TData>;
export declare function searchOps<T, TStatus, TData>(state: T, query: string | RegExp): Ops<TStatus, TData> | undefined;
