import { Operation, OpStatus, Ops, OpId } from './typedefs';
export declare function constructOperation<TStatus = OpStatus, TData = any>(id: OpId, status?: TStatus, data?: TData): Operation<TStatus, TData>;
export declare function getOpById<TStatus = OpStatus, TData = any>(ops: Ops<TStatus, TData>, id: OpId): Operation<TStatus, TData> | undefined;
export declare function getOpByIds<TStatus = OpStatus, TData = any>(ops: Ops<TStatus, TData>, ids: OpId[]): Ops<TStatus, TData>;
export declare function searchOps<TStatus = OpStatus, TData = any>(ops: Ops<TStatus, TData>, query: string | RegExp): Ops<TStatus, TData>;
